import type { NextApiRequest, NextApiResponse } from 'next';
import { ErrorApiResponse } from './type';
export declare type ApiErrorHandler = (req: NextApiRequest, res: NextApiResponse<ErrorApiResponse>, error: Error) => void;
export declare const makeErrorHandler: (showMessage: boolean) => ApiErrorHandler;
